# View
Date: 2011-06-22

## jrummikub.view.impl
Class View

    java.lang.Object
      java.awt.Component
          java.awt.Container
              java.awt.Window
                  java.awt.Frame
                      javax.swing.JFrame
                          jrummikub.view.impl.View

All Implemented Interfaces:
  java.awt.image.ImageObserver, java.awt.MenuContainer, java.io.Serializable, javax.accessibility.Accessible, javax.swing.RootPaneContainer, javax.swing.WindowConstants, jrummikub.view.IView

    public class View

extends javax.swing.JFrame
implements jrummikub.view.IView

Implementation of the top-level view interface

See Also:
  Serialized Form

Nested Class Summary

Nested classes/interfaces inherited from class java.awt.Component
`java.awt.Component.BaselineResizeBehavior`

Nested classes/interfaces inherited from interface jrummikub.view.IView
`jrummikub.view.IView.BottomPanelType`

Field Summary

Fields inherited from class javax.swing.JFrame
`EXIT_ON_CLOSE`

Fields inherited from class java.awt.Frame
`CROSSHAIR_CURSOR, DEFAULT_CURSOR, E_RESIZE_CURSOR, HAND_CURSOR, ICONIFIED, MAXIMIZED_BOTH, MAXIMIZED_HORIZ, MAXIMIZED_VERT, MOVE_CURSOR, N_RESIZE_CURSOR, NE_RESIZE_CURSOR, NORMAL, NW_RESIZE_CURSOR, S_RESIZE_CURSOR, SE_RESIZE_CURSOR, SW_RESIZE_CURSOR, TEXT_CURSOR, W_RESIZE_CURSOR, WAIT_CURSOR`

Fields inherited from class java.awt.Component
`BOTTOM_ALIGNMENT, CENTER_ALIGNMENT, LEFT_ALIGNMENT, RIGHT_ALIGNMENT, TOP_ALIGNMENT`

Fields inherited from interface javax.swing.WindowConstants
`DISPOSE_ON_CLOSE, DO_NOTHING_ON_CLOSE, HIDE_ON_CLOSE`

Fields inherited from interface java.awt.image.ImageObserver
`ABORT, ALLBITS, ERROR, FRAMEBITS, HEIGHT, PROPERTIES, SOMEBITS, WIDTH`

Constructor Summary
`View()` Create a new instance of the view

Method Summary
`void` `clearView()` Hides all view elements and panels except for the cleared table and an empty hand panel
`void` `enablePauseMode(boolean enable)` Enable/disable pause mode
`void` `enableSave(boolean enable)` Enables/disables saving in menu bar
`jrummikub.util.IEvent` `getAcknowledgeConnectionLostEvent()` The acknoledge connection lost event is emitted when the user has acknowledged that the network connection was lost
`jrummikub.util.IEvent` `getAcknowledgeInvalidEvent()` The start turn event is emitted when the player knows what invalid stones he played
`jrummikub.view.IConnectPanel` `getConnectPanel()` Getter for connect panel
`jrummikub.util.IEvent` `getEndPauseEvent()` The end pause event is emitted when the user wants to sresume the game after a pause
`jrummikub.util.IEvent` `getEndProgramEvent()` The quit event is emitted when the player wants to quit the game
`jrummikub.view.IGameListPanel` `getGameListPanel()` Getter for game list panel
`jrummikub.view.IHandPanel` `getHandPanel()`
`jrummikub.util.IEvent` `getLoadEvent()` The load event is emitted when the user wants to load a previously saved game state
`jrummikub.util.IEvent1<java.io.File>` `getLoadFileEvent()` The load file event is emitted when the user chose to discard the current game to save another
`jrummikub.view.ILoginPanel` `getLoginPanel()` Getter for login panel
`jrummikub.util.IEvent` `getMenuNewGameEvent()` The menu new game event is emitted when the user selects the new game menu entry
`jrummikub.util.IEvent` `getNetworkGameEvent()` The network game event is emitted when the user chooses a network game
`jrummikub.util.IEvent` `getNewGameEvent()` Is emitted if the player wants to end the game and start a new one
`jrummikub.util.IEvent` `getNewRoundEvent()` The new round event is emitted when the player wants to start a new round
`jrummikub.util.IEvent` `getPauseEvent()` The pause event is emitted when the user wants to pause the current turn
`jrummikub.view.IPlayerPanel` `getPlayerPanel()` Returns the player panel
`jrummikub.util.IEvent` `getQuitEvent()` The quit event is emitted when the user wants to leave the application
`jrummikub.view.IQuitWarningPanel` `getQuitWarningPanel()` Getter for quit warning panel
`jrummikub.util.IEvent1<java.io.File>` `getSaveEvent()` The save event is emitted when the user wants to save the current game state
`jrummikub.view.IScorePanel` `getScorePanel()` Returns the score panel
`jrummikub.view.ISettingsPanel` `getSettingsPanel()` Returns the settings panel
`jrummikub.view.ISidePanel` `getSidePanel()` Returns the side panel
`jrummikub.util.IEvent` `getStartTurnEvent()` The start turn event is emitted when the player wants to start his turn
`jrummikub.view.ITablePanel` `getTablePanel()` Returns the table
`void` `load()` Loading a game
`void` `resetLoginPanel()` Clears user input of the resetLoginPanel
`void` `setBottomPanel(jrummikub.view.IView.BottomPanelType type)` Sets the bottom panels type
`void` `setCurrentPlayerColor(java.awt.Color color)` Is used for the PlayerPanel and ScorePanel to display a player's color along with the name
`void` `setCurrentPlayerHasLaidOut(boolean hasLaidOut)` Is used for the PlayerPanel to display if a player has laid out along with the name
`void` `setCurrentPlayerName(java.lang.String playerName)` Sets the current player's name
`void` `setInitialMeldError(int points)` Is set if a player tried to lay out less than initial meld threshold
`void` `setInitialMeldFirstError()` Is set if the player tried to modify the table without laying out first
`void` `setInvalidStoneSets(java.util.Collection<jrummikub.model.StoneSet> sets)` Set invalid sets to enable showing
`void` `setLastStonePlayerName(java.lang.String name)` Sets the name of the player that has drawn the last stone
`void` `setMayPause(boolean mayPause)` Sets the pause button if pausing should be possible in the current situation
`void` `setRedealedPlayerName(java.lang.String name)` Sets the name of the player that has redealt last
`void` `setSelectedStones(java.util.Collection<jrummikub.model.Stone> stones)` Sets the stones that are to be painted selected
`void` `setStoneCollectionHidden(boolean enable)` Show stone collection
`void` `showConnectPanel(boolean show)` Set the connect panel visible
`void` `showGameListPanel(boolean show)` Show/hide game list panel
`void` `showLoadingError()` Show when loading is unsuccessful
`void` `showLoginPanel(boolean show)` Show/hide login panel
`void` `showQuitWarningPanel(boolean show)` Sets the quit warning panel visible
`void` `showScorePanel(boolean show)` Shows or hides the score panel
`void` `showServerStartupError(boolean alreadyRunning)` Show an error message when the server couldn't be started
`void` `showSettingsPanel(boolean show)` Shows or hides the game settings panel
`void` `showSidePanel(boolean show)` Show/hide side panel

Methods inherited from class javax.swing.JFrame
`getAccessibleContext, getContentPane, getDefaultCloseOperation, getGlassPane, getGraphics, getJMenuBar, getLayeredPane, getRootPane, getTransferHandler, isDefaultLookAndFeelDecorated, remove, repaint, setContentPane, setDefaultCloseOperation, setDefaultLookAndFeelDecorated, setGlassPane, setIconImage, setJMenuBar, setLayeredPane, setLayout, setTransferHandler, update`

Methods inherited from class java.awt.Frame
`addNotify, getCursorType, getExtendedState, getFrames, getIconImage, getMaximizedBounds, getMenuBar, getState, getTitle, isResizable, isUndecorated, remove, removeNotify, setCursor, setExtendedState, setMaximizedBounds, setMenuBar, setResizable, setState, setTitle, setUndecorated`

Methods inherited from class java.awt.Window

`addPropertyChangeListener, addPropertyChangeListener, addWindowFocusListener, addWindowListener, addWindowStateListener, applyResourceBundle, applyResourceBundle, createBufferStrategy, createBufferStrategy, dispose, getBufferStrategy, getFocusableWindowState, getFocusCycleRootAncestor, getFocusOwner, getFocusTraversalKeys, getGraphicsConfiguration, getIconImages, getInputContext, getListeners, getLocale, getModalExclusionType, getMostRecentFocusOwner, getOwnedWindows, getOwner, getOwnerlessWindows, getToolkit, getWarningString, getWindowFocusListeners, getWindowListeners, getWindows, getWindowStateListeners, hide, isActive, isAlwaysOnTop, isAlwaysOnTopSupported, isFocusableWindow, isFocusCycleRoot, isFocused, isLocationByPlatform, isShowing, pack, postEvent, removeWindowFocusListener, removeWindowListener, removeWindowStateListener, reshape, setAlwaysOnTop, setBounds, setBounds, setCursor, setFocusableWindowState, setFocusCycleRoot, setIconImages, setLocationByPlatform, setLocationRelativeTo, setMinimumSize, setModalExclusionType, setSize, setSize, setVisible, show, toBack, toFront`

Methods inherited from class java.awt.Container

`add, add, add, add, add, addContainerListener, applyComponentOrientation, areFocusTraversalKeysSet, countComponents, deliverEvent, doLayout, findComponentAt, findComponentAt, getAlignmentX, getAlignmentY, getComponent, getComponentAt, getComponentAt, getComponentCount, getComponents, getComponentZOrder, getContainerListeners, getFocusTraversalPolicy, getInsets, getLayout, getMaximumSize, getMinimumSize, getMousePosition, getPreferredSize, insets, invalidate, isAncestorOf, isFocusCycleRoot, isFocusTraversalPolicyProvider, isFocusTraversalPolicySet, layout, list, list, locate, minimumSize, paint, paintComponents, preferredSize, print, printComponents, remove, removeAll, removeContainerListener, setComponentZOrder, setFocusTraversalKeys, setFocusTraversalPolicy, setFocusTraversalPolicyProvider, setFont, transferFocusDownCycle, validate`

Methods inherited from class java.awt.Component

`action, add, addComponentListener, addFocusListener, addHierarchyBoundsListener, addHierarchyListener, addInputMethodListener, addKeyListener, addMouseListener, addMouseMotionListener, addMouseWheelListener, bounds, checkImage, checkImage, contains, contains, createImage, createImage, createVolatileImage, createVolatileImage, disable, dispatchEvent, enable, enable, enableInputMethods, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, getBackground, getBaseline, getBaselineResizeBehavior, getBounds, getBounds, getColorModel, getComponentListeners, getComponentOrientation, getCursor, getDropTarget, getFocusListeners, getFocusTraversalKeysEnabled, getFont, getFontMetrics, getForeground, getHeight, getHierarchyBoundsListeners, getHierarchyListeners, getIgnoreRepaint, getInputMethodListeners, getInputMethodRequests, getKeyListeners, getLocation, getLocation, getLocationOnScreen, getMouseListeners, getMouseMotionListeners, getMousePosition, getMouseWheelListeners, getName, getParent, getPeer, getPropertyChangeListeners, getPropertyChangeListeners, getSize, getSize, getTreeLock, getWidth, getX, getY, gotFocus, handleEvent, hasFocus, imageUpdate, inside, isBackgroundSet, isCursorSet, isDisplayable, isDoubleBuffered, isEnabled, isFocusable, isFocusOwner, isFocusTraversable, isFontSet, isForegroundSet, isLightweight, isMaximumSizeSet, isMinimumSizeSet, isOpaque, isPreferredSizeSet, isValid, isVisible, keyDown, keyUp, list, list, list, location, lostFocus, mouseDown, mouseDrag, mouseEnter, mouseExit, mouseMove, mouseUp, move, nextFocus, paintAll, prepareImage, prepareImage, printAll, removeComponentListener, removeFocusListener, removeHierarchyBoundsListener, removeHierarchyListener, removeInputMethodListener, removeKeyListener, removeMouseListener, removeMouseMotionListener, removeMouseWheelListener, removePropertyChangeListener, removePropertyChangeListener, repaint, repaint, repaint, requestFocus, requestFocusInWindow, resize, resize, setBackground, setComponentOrientation, setDropTarget, setEnabled, setFocusable, setFocusTraversalKeysEnabled, setForeground, setIgnoreRepaint, setLocale, setLocation, setLocation, setMaximumSize, setName, setPreferredSize, show, size, toString, transferFocus, transferFocusBackward, transferFocusUpCycle`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Methods inherited from interface java.awt.MenuContainer
`getFont, postEvent`

Constructor Detail

### View

    public View()

  Create a new instance of the view

Method Detail

### getSettingsPanel

    public jrummikub.view.ISettingsPanel getSettingsPanel()

  Description copied from interface: `jrummikub.view.IView`
  Returns the settings panel

  Specified by:
    `getSettingsPanel` in interface `jrummikub.view.IView`
  Returns:
    the settings panel

### getLoginPanel

    public jrummikub.view.ILoginPanel getLoginPanel()

  Description copied from interface: `jrummikub.view.IView`
  Getter for login panel

  Specified by:
    `getLoginPanel` in interface `jrummikub.view.IView`
  Returns:
    login panel

### getScorePanel

    public jrummikub.view.IScorePanel getScorePanel()

  Description copied from interface: `jrummikub.view.IView`
  Returns the score panel

  Specified by:
    `getScorePanel` in interface `jrummikub.view.IView`
  Returns:
    the score panel

### getTablePanel

    public jrummikub.view.ITablePanel getTablePanel()

  Description copied from interface: `jrummikub.view.IView`
  Returns the table

  Specified by:
    `getTablePanel` in interface `jrummikub.view.IView`
  Returns:
    the table

### getSidePanel

    public jrummikub.view.ISidePanel getSidePanel()

  Description copied from interface: `jrummikub.view.IView`
  Returns the side panel

  Specified by:
    `getSidePanel` in interface `jrummikub.view.IView`
  Returns:
    the side panel

### getHandPanel

    public jrummikub.view.IHandPanel getHandPanel()

  Specified by:
    `getHandPanel` in interface `jrummikub.view.IView`
  Returns:
    the board where the players hand stones are displayed

### getPlayerPanel

    public jrummikub.view.IPlayerPanel getPlayerPanel()

  Description copied from interface: `jrummikub.view.IView`
  Returns the player panel

  Specified by:
    `getPlayerPanel` in interface `jrummikub.view.IView`
  Returns:
    the playerPanel

### getQuitWarningPanel

    public jrummikub.view.IQuitWarningPanel getQuitWarningPanel()

  Description copied from interface: `jrummikub.view.IView`
  Getter for quit warning panel

  Specified by:
    `getQuitWarningPanel` in interface `jrummikub.view.IView`
  Returns:
    the panel

### getConnectPanel

    public jrummikub.view.IConnectPanel getConnectPanel()

  Description copied from interface: `jrummikub.view.IView`
  Getter for connect panel

  Specified by:
    `getConnectPanel` in interface `jrummikub.view.IView`
  Returns:
    the panel

### getGameListPanel

    public jrummikub.view.IGameListPanel getGameListPanel()

  Description copied from interface: `jrummikub.view.IView`
  Getter for game list panel

  Specified by:
    `getGameListPanel` in interface `jrummikub.view.IView`
  Returns:
    game list panel

### getMenuNewGameEvent

    public jrummikub.util.IEvent getMenuNewGameEvent()

  Description copied from interface: `jrummikub.view.IView`
  The menu new game event is emitted when the user selects the new game menu entry

  Specified by:
    `getMenuNewGameEvent` in interface `jrummikub.view.IView`
  Returns:
    the event

### getLoadFileEvent

    public jrummikub.util.IEvent1<java.io.File> getLoadFileEvent()

  Description copied from interface: `jrummikub.view.IView`
  The load file event is emitted when the user chose to discard the current game to save another

  Specified by:
    `getLoadFileEvent` in interface `jrummikub.view.IView`
  Returns:
    the event

### getLoadEvent

    public jrummikub.util.IEvent getLoadEvent()

  Description copied from interface: `jrummikub.view.IView`
  The load event is emitted when the user wants to load a previously saved game state

  Specified by:
    `getLoadEvent` in interface `jrummikub.view.IView`
  Returns:
    the event

### getSaveEvent

    public jrummikub.util.IEvent1<java.io.File> getSaveEvent()

  Description copied from interface: `jrummikub.view.IView`
  The save event is emitted when the user wants to save the current game state

  Specified by:
    `getSaveEvent` in interface `jrummikub.view.IView`
  Returns:
    the event

### getPauseEvent

    public jrummikub.util.IEvent getPauseEvent()

  Description copied from interface: `jrummikub.view.IView`
  The pause event is emitted when the user wants to pause the current turn

  Specified by:
    `getPauseEvent` in interface `jrummikub.view.IView`
  Returns:
    the event

### getEndPauseEvent

    public jrummikub.util.IEvent getEndPauseEvent()

  Description copied from interface: `jrummikub.view.IView`
  The end pause event is emitted when the user wants to sresume the game after a pause

  Specified by:
    `getEndPauseEvent` in interface `jrummikub.view.IView`
  Returns:
    the event

### getNetworkGameEvent

    public jrummikub.util.IEvent getNetworkGameEvent()

  Description copied from interface: `jrummikub.view.IView`
  The network game event is emitted when the user chooses a network game

  Specified by:
    `getNetworkGameEvent` in interface `jrummikub.view.IView`
  Returns:
    the event

### getQuitEvent

    public jrummikub.util.IEvent getQuitEvent()

  Description copied from interface: `jrummikub.view.IView`
  The quit event is emitted when the user wants to leave the application

  Specified by:
    `getQuitEvent` in interface `jrummikub.view.IView`
  Returns:
    the event

### clearView

    public void clearView()

  Description copied from interface: `jrummikub.view.IView`
  Hides all view elements and panels except for the cleared table and an empty hand panel

  Specified by:
    `clearView` in interface `jrummikub.view.IView`

### showLoadingError

    public void showLoadingError()

  Description copied from interface: `jrummikub.view.IView`
  Show when loading is unsuccessful

  Specified by:
    `showLoadingError` in interface `jrummikub.view.IView`

### showServerStartupError

    public void showServerStartupError(boolean alreadyRunning)

  Description copied from interface: `jrummikub.view.IView`
  Show an error message when the server couldn't be started

  Specified by:
    `showServerStartupError` in interface `jrummikub.view.IView`
  Parameters:
    `alreadyRunning` - true when the server is already running on this machine

### enableSave

    public void enableSave(boolean enable)

  Description copied from interface: `jrummikub.view.IView`
  Enables/disables saving in menu bar

  Specified by:
    `enableSave` in interface `jrummikub.view.IView`
  Parameters:
    `enable` - saving possible

### load

    public void load()

  Description copied from interface: `jrummikub.view.IView`
  Loading a game

  Specified by:
    `load` in interface `jrummikub.view.IView`

### setMayPause

    public void setMayPause(boolean mayPause)

  Description copied from interface: `jrummikub.view.IView`
  Sets the pause button if pausing should be possible in the current situation

  Specified by:
    `setMayPause` in interface `jrummikub.view.IView`
  Parameters:
    `mayPause` - pausing possible

### enablePauseMode

    public void enablePauseMode(boolean enable)

  Description copied from interface: `jrummikub.view.IView`
  Enable/disable pause mode

  Specified by:
    `enablePauseMode` in interface `jrummikub.view.IView`
  Parameters:
    `enable` - true = enable

### setSelectedStones

    public void setSelectedStones(java.util.Collection<jrummikub.model.Stone> stones)

  Description copied from interface: `jrummikub.view.IView`
  Sets the stones that are to be painted selected

  Specified by:
    `setSelectedStones` in interface `jrummikub.view.IView`
  Parameters:
    `stones` - the stones to be painted selected

### setInvalidStoneSets

    public void setInvalidStoneSets(java.util.Collection<jrummikub.model.StoneSet> sets)

  Description copied from interface: `jrummikub.view.IView`
  Set invalid sets to enable showing

  Specified by:
    `setInvalidStoneSets` in interface `jrummikub.view.IView`
  Parameters:
    `sets` - invalid sets on table

### showSettingsPanel

    public void showSettingsPanel(boolean show)

  Description copied from interface: `jrummikub.view.IView`
  Shows or hides the game settings panel

  Specified by:
    `showSettingsPanel` in interface `jrummikub.view.IView`
  Parameters:
    `show` - specifies if the panel shall be shown or hidden

### showLoginPanel

    public void showLoginPanel(boolean show)

  Description copied from interface: `jrummikub.view.IView`
  Show/hide login panel

  Specified by:
    `showLoginPanel` in interface `jrummikub.view.IView`
  Parameters:
    `show` - true = login panel is shown

### resetLoginPanel

    public void resetLoginPanel()

  Description copied from interface: `jrummikub.view.IView`
  Clears user input of the resetLoginPanel

  Specified by:
    `resetLoginPanel` in interface `jrummikub.view.IView`

### showGameListPanel

    public void showGameListPanel(boolean show)

  Description copied from interface: `jrummikub.view.IView`
  Show/hide game list panel

  Specified by:
    `showGameListPanel` in interface `jrummikub.view.IView`
  Parameters:
    `show` - true = show

### showScorePanel

    public void showScorePanel(boolean show)

  Description copied from interface: `jrummikub.view.IView`
  Shows or hides the score panel

  Specified by:
    `showScorePanel` in interface `jrummikub.view.IView`
  Parameters:
    `show` - specifies if the panel shall be shown or hidden

### showSidePanel

    public void showSidePanel(boolean show)

  Description copied from interface: `jrummikub.view.IView`
  Show/hide side panel

  Specified by:
    `showSidePanel` in interface `jrummikub.view.IView`
  Parameters:
    `show` - true to show

### showQuitWarningPanel

    public void showQuitWarningPanel(boolean show)

  Description copied from interface: `jrummikub.view.IView`
  Sets the quit warning panel visible

  Specified by:
    `showQuitWarningPanel` in interface `jrummikub.view.IView`
  Parameters:
    `show` - is visible

### showConnectPanel

    public void showConnectPanel(boolean show)

  Description copied from interface: `jrummikub.view.IView`
  Set the connect panel visible

  Specified by:
    `showConnectPanel` in interface `jrummikub.view.IView`
  Parameters:
    `show` - is visible

### setCurrentPlayerName

    public void setCurrentPlayerName(java.lang.String playerName)

  Description copied from interface: `jrummikub.view.IView`
  Sets the current player's name

  Specified by:
    `setCurrentPlayerName` in interface `jrummikub.view.IView`
  Parameters:
    `playerName` - the player name

### setInitialMeldError

    public void setInitialMeldError(int points)

  Description copied from interface: `jrummikub.view.IView`
  Is set if a player tried to lay out less than initial meld threshold

  Specified by:
    `setInitialMeldError` in interface `jrummikub.view.IView`
  Parameters:
    `points` - initial meld threshold

### setInitialMeldFirstError

    public void setInitialMeldFirstError()

  Description copied from interface: `jrummikub.view.IView`
  Is set if the player tried to modify the table without laying out first

  Specified by:
    `setInitialMeldFirstError` in interface `jrummikub.view.IView`

### setCurrentPlayerColor

    public void setCurrentPlayerColor(java.awt.Color color)

  Description copied from interface: `jrummikub.view.IView`
  Is used for the PlayerPanel and ScorePanel to display a player's color along with the name

  Specified by:
    `setCurrentPlayerColor` in interface `jrummikub.view.IView`
  Parameters:
    `color` - the current player's color

### setRedealedPlayerName

    public void setRedealedPlayerName(java.lang.String name)

  Description copied from interface: `jrummikub.view.IView`
  Sets the name of the player that has redealt last

  Specified by:
    `setRedealedPlayerName` in interface `jrummikub.view.IView`
  Parameters:
    `name` - the player name

### setLastStonePlayerName

    public void setLastStonePlayerName(java.lang.String name)

  Description copied from interface: `jrummikub.view.IView`
  Sets the name of the player that has drawn the last stone

  Specified by:
    `setLastStonePlayerName` in interface `jrummikub.view.IView`
  Parameters:
    `name` - the player name

### setCurrentPlayerHasLaidOut

    public void setCurrentPlayerHasLaidOut(boolean hasLaidOut)

  Description copied from interface: `jrummikub.view.IView`
  Is used for the PlayerPanel to display if a player has laid out along with the name

  Specified by:
    `setCurrentPlayerHasLaidOut` in interface `jrummikub.view.IView`
  Parameters:
    `hasLaidOut` - specifies if the current player has laid out or not

### getStartTurnEvent

    public jrummikub.util.IEvent getStartTurnEvent()

  Description copied from interface: `jrummikub.view.IView`
  The start turn event is emitted when the player wants to start his turn

  Specified by:
    `getStartTurnEvent` in interface `jrummikub.view.IView`
  Returns:
    the event

### getAcknowledgeInvalidEvent

    public jrummikub.util.IEvent getAcknowledgeInvalidEvent()

  Description copied from interface: `jrummikub.view.IView`
  The start turn event is emitted when the player knows what invalid stones he played

  Specified by:
    `getAcknowledgeInvalidEvent` in interface `jrummikub.view.IView`
  Returns:
    the event

### getAcknowledgeConnectionLostEvent

    public jrummikub.util.IEvent getAcknowledgeConnectionLostEvent()

  Description copied from interface: `jrummikub.view.IView`
  The acknoledge connection lost event is emitted when the user has acknowledged that the network connection was lost

  Specified by:
    `getAcknowledgeConnectionLostEvent` in interface `jrummikub.view.IView`
  Returns:
    the event

### getNewRoundEvent

    public jrummikub.util.IEvent getNewRoundEvent()

  Description copied from interface: `jrummikub.view.IView`
  The new round event is emitted when the player wants to start a new round

  Specified by:
    `getNewRoundEvent` in interface `jrummikub.view.IView`
  Returns:
    the event

### getNewGameEvent

    public jrummikub.util.IEvent getNewGameEvent()

  Description copied from interface: `jrummikub.view.IView`
  Is emitted if the player wants to end the game and start a new one

  Specified by:
    `getNewGameEvent` in interface `jrummikub.view.IView`
  Returns:
    newGameEvent

### getEndProgramEvent

    public jrummikub.util.IEvent getEndProgramEvent()

  Description copied from interface: `jrummikub.view.IView`
  The quit event is emitted when the player wants to quit the game

  Specified by:
    `getEndProgramEvent` in interface `jrummikub.view.IView`
  Returns:
    the event

### setBottomPanel

    public void setBottomPanel(jrummikub.view.IView.BottomPanelType type)

  Description copied from interface: `jrummikub.view.IView`
  Sets the bottom panels type

  Specified by:
    `setBottomPanel` in interface `jrummikub.view.IView`
  Parameters:
    `type` - the type of the bottom panel

### setStoneCollectionHidden

    public void setStoneCollectionHidden(boolean enable)

  Description copied from interface: `jrummikub.view.IView`
  Show stone collection

  Specified by:
    `setStoneCollectionHidden` in interface `jrummikub.view.IView`
  Parameters:
    `enable` - showing collection